#ifndef  TextWidget_H
#define  TextWidget_H

// $Id: TextWidget.H,v 1.4 2005/07/18 01:07:39 orts_furtak Exp $

// This is an ORTS file
// (c) Sami Wagiaalla

#include "CWidget.H"

/** Outputs text to the game GUI. */

class TextWidget : public CWidget{

public:
  TextWidget();
  virtual ~TextWidget(){}

  stype draw();

  template <class T>
  void operator<<(const T& s){ text+= s;}
  
  void append(const std::string& text_) { text += text_; }
  void set_text(const std::string& text_) { text = text_; }
  void clear(){text.clear();}
  
private:
  
  std::string text;
  int    margin;

  std::string wrap(const std::string& s, int count);

};

#endif

